%?python_enable_dependency_generator
%global srcname conda-package-handling
%global pkgname conda_package_handling

Name:           python-%{srcname}
Version:        1.4.1
Release:        1%{?dist}
Summary:        Create and extract conda packages of various formats

License:        BSD
URL:            https://github.com/conda/%{srcname}
Source0:        https://github.com/conda/%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-libarchive-c
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-tqdm
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-cov
BuildRequires:  python%{python3_pkgversion}-pytest-mock
Requires:       python%{python3_pkgversion}-libarchive-c
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-tqdm
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Create and extract conda packages of various formats.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v tests

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.txt CHANGELOG.md README.md
%{_bindir}/cph
%{python3_sitelib}/%{pkgname}-*.egg-info/
%{python3_sitelib}/%{pkgname}/

%changelog
* Fri Aug 16 2019 Orion Poplawski <orion@nwra.com> - 1.4.1-1
- Update to 1.4.1
- Enable python dependency generator

* Mon Jul 29 2019 Orion Poplawski <orion@nwra.com> - 1.3.11-1
- Update to 1.3.11

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 11 2019 Orion Poplawski <orion@nwra.com> - 1.3.1-1
- Update to 1.3.1

* Sat May 18 2019 Orion Poplawski <orion@nwra.com> - 1.1.1-1
- Initial Fedora package
